Run of scrub-obsolete for ruby-fog-vmfusion

Try this locally (using the lintian-brush package):

debcheckout ruby-fog-vmfusion
cd ruby-fog-vmfusion
deb-scrub-obsolete

Merge these changes:

Diff

diff --git a/debian/changelog b/debian/changelog
index ee5ceaf..e6c90b3 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -19,6 +19,9 @@ ruby-fog-vmfusion (0.1.0-3) UNRELEASED; urgency=medium
     Repository-Browse.
   * Update Vcs-* headers from URL redirect.
   * Use canonical URL in Vcs-Git.
+  * Remove constraints unnecessary since stretch:
+    + ruby-fog-vmfusion: Drop versioned constraint on ruby-fog in Replaces.
+    + ruby-fog-vmfusion: Drop versioned constraint on ruby-fog in Breaks.
 
  -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 13 Aug 2019 05:05:01 +0530
 
diff --git a/debian/control b/debian/control
index 0fcfc7d..5569ea3 100644
--- a/debian/control
+++ b/debian/control
@@ -24,8 +24,6 @@ Depends: ruby | ruby-interpreter,
          ruby-fog-core,
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: ruby-fog (<< 1.25~)
-Replaces: ruby-fog (<< 1.25~)
 Description: module for the 'fog' library to support VMWARE FUSION
  This library can be used as a module for `fog` or as standalone provider
  to use the VMWARE FUSION in applications.

Debdiff

File lists identical (after any substitutions)

Control files: lines which differ (wdiff format)

  • Breaks: ruby-fog (<< 1.25~)
  • Replaces: ruby-fog (<< 1.25~)

Publish History

Full worker log Full build log